DatumShiftGCT (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj.coords
Class DatumShiftGCT

    java.lang.Object
      com.bbn.openmap.MapHandlerChild
          com.bbn.openmap.OMComponent
              com.bbn.openmap.proj.coords.AbstractGCT
                  com.bbn.openmap.proj.coords.DatumShiftGCT

All Implemented Interfaces:
  LightMapHandlerChild, GeoCoordTransformation, PropertyConsumer, java.beans.beancontext.BeanContextChild, java.beans.beancontext.BeanContextMembershipListener, java.util.EventListener

    public class DatumShiftGCT

extends AbstractGCT

A `CoordinateReferenceSystem` to convert a latlon in a given `Ellipsoid` to/from wgs84.

The `LatLonPoint`-side is in wgs84 and the `Point2D`-side in the other `Ellipsoid` given by the constructor.

Datum shifting is performed using `ECEFPoint`

Field Summary

Fields inherited from class com.bbn.openmap.OMComponent
`i18n, propertyPrefix`

Fields inherited from class com.bbn.openmap.MapHandlerChild
`beanContextChildSupport, isolated`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`DatumShiftGCT(Ellipsoid ellip)`

Method Summary
`java.awt.geom.Point2D` | `forward(double lat, double lon, java.awt.geom.Point2D ret)` Convert from a latlon in wgs84 to the `Ellipsoid` of this instance
`LatLonPoint` | `inverse(double x, double y, LatLonPoint ret)` Convert from a latlon in the `Ellipsoid` of this instance to wgs84
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.proj.coords.AbstractGCT
`forward, inverse`

Methods inherited from class com.bbn.openmap.OMComponent
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setProperties, setPropertyPrefix`

Methods inherited from class com.bbn.openmap.MapHandlerChild
`addPropertyChangeListener, addVetoableChangeListener, childrenAdded, childrenRemoved, findAndInit, findAndInit, findAndUndo, firePropertyChange, fireVetoableChange, getBeanContext, isIsolated, removePropertyChangeListener, removeVetoableChangeListener, setBeanContext, setIsolated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatumShiftGCT

    public DatumShiftGCT(Ellipsoid ellip)

Method Detail

### forward

    public java.awt.geom.Point2D forward(double lat,
                                         double lon,
                                         java.awt.geom.Point2D ret)

  Convert from a latlon in wgs84 to the `Ellipsoid` of this instance

  Specified by:
    `forward` in interface `GeoCoordTransformation`
  Specified by:
    `forward` in class `AbstractGCT`

### inverse

    public LatLonPoint inverse(double x,
                               double y,
                               LatLonPoint ret)

  Convert from a latlon in the `Ellipsoid` of this instance to wgs84

  Specified by:
    `inverse` in interface `GeoCoordTransformation`
  Specified by:
    `inverse` in class `AbstractGCT`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details